/********************************************************************/
/*  7188XC + X101 head file                                         */
/*                                                                  */
/*  [12/October/2005] by Liam                                       */
/*  [15/Dec/2006] by Liam                                           */
/********************************************************************/
/********************************************************************/
/*  X101:  8 channels D/O                                           */
/********************************************************************/

#ifndef __X101_H
#define __X101_H

#ifdef __cplusplus
extern "C" {
#endif

int X101_Init(void);
/*  Always return 0 */

unsigned X101_GetLibVersion(void);
/*  Current version is 2.00 (return 0x0200) */

void X101_Write_All_DO(int iOutValue);
/*  iOutValue: 0x0000 ~ 0x00FF  */

void X101_Write_One_DO(int iChannel, int iStatus);
/*  iChannel = 0 ~ 7
    iStatus = 1 => Status is ON
    iStatus = 0 => Status is OFF    */

int X101_Read_All_DO(void);
/*  return data = 0x00 ~ 0x00FF */

int X101_Read_One_DO(int iChannel);
/*  iChannel = 0 ~ 7
    Return 1 => ON
    Return 0 => OFF */

#ifdef __cplusplus
}
#endif

#endif
