/********************************************************************/
/*  7188XC + X300 source code                                      */
/*                                                                  */
/*  [12/October/2005] by Liam                                      */
/*  [18/Dec/2006] by Liam                                           */
/********************************************************************/
/********************************************************************/
/*  X300:   2 channel 12-Bit D/A (Analog output)0~4.096V            */
/*                                                                  */
/********************************************************************/

#ifndef __X300_H
#define __X300_H

#ifdef __cplusplus
extern "C" {
#endif

int X300_Init(void);
/*  Always return 0 */

unsigned X300_GetLibVersion(void);
/*  Current version is 2.00 (return 0x0200) */

void X300_AnalogOut(int iChannel, int iValue);
/*  iChannel = 0~1 ----> ch1~ch2 
    fValue: 0 ~ 4.095   */

#ifdef __cplusplus
}
#endif

#endif
