/********************************************************************/
/*  7188XC + X100 head file                                         */
/*                                                                  */
/*  [15/Dec/2006] by Liam                                           */
/*  [09/October/2007] by Liam                                       */
/********************************************************************/
/********************************************************************/
/*  X100:  8 channels D/I                                           */
/********************************************************************/

#ifndef __X100_H
#define __X100_H

#ifdef __cplusplus
extern "C" {
#endif

int X100_Init(void);
/*  Always return 0 */

unsigned X100_GetLibVersion(void);
/*  Current version is 2.00 (return 0x0200) */

int X100_Read_All_DI(void);
/*  Return data = 0x0000~0x00ff
    Return 1 => open
                Logic high level (+3.5V ~ +30V)
    Return 0 => close to GND
                Logic low level (0V ~ +1V)  */

int X100_Read_One_DI(int iChannel);
/*  iChannel = 0 ~ 7
    Return 1 => open
                Logic high level (+3.5V ~ +30V)
    Return 0 => close to GND
                Logic low level (0V ~ +1V)  */

#ifdef __cplusplus
}
#endif

#endif
